Export the complete filtered workspace wallet ledger as CSV or Excel
curl --request GET \
--url https://api.pineyard.ai/credits/ledger/export \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.pineyard.ai/credits/ledger/export', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.pineyard.ai/credits/ledger/export"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)Credits
Export the complete filtered workspace wallet ledger as CSV or Excel
GET
/
credits
/
ledger
/
export
Export the complete filtered workspace wallet ledger as CSV or Excel
curl --request GET \
--url https://api.pineyard.ai/credits/ledger/export \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.pineyard.ai/credits/ledger/export', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.pineyard.ai/credits/ledger/export"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)Required scope:
billing.viewAuthorizations
Your API key, e.g. pk_live_xxxxxxxxxxxxxxxxxxxxxxxx.
Query Parameters
Available options:
today, last_7_days, last_30_days, this_month, last_month, since_last_recharge, all_time, custom Available options:
all, calls, whatsapp, topups, adjustments Available options:
csv, xlsx Response
CSV/XLSX attachment

